Ergebnis 1 bis 15 von 15

Thema: Update 4.4.43 => 4.4.45 schlägt fehl

  1. #1
    Contao-Nutzer Avatar von Dr. Jo
    Registriert seit
    11.08.2009.
    Ort
    Riehen (CH)
    Beiträge
    146

    Standard Update 4.4.43 => 4.4.45 schlägt fehl

    Ich habe eine ganz normale Installation, bei der ich von 4.4.43 auf 4.4.45 updaten möchte. Der Testlauf verläuft auch erfolgreich und ohne Fehler. Hoster ist Cyon und auch nicht die erste/einzige Installation dort. PHP-Version etc. stimmt alles. Das Update schlägt aber jeweils fehl mit der folgenden Meldung (macht auch keinen Unterschied, ob ich nur die Corepakete aktualisieren will oder alle):

    Code:
    > Resolving dependencies using Composer Cloud v2.1.1
    
    # Job ID GIW0yhQRofu7DnaJSQFPg1MbuX5jVihGCVRG3KdSCn1c60gJhCBxYxBPogPfQ3OYftilx0ndIJc88ioFmtOpNaK completed in 48 seconds
    # Memory usage: 411.35MB (peak: 2282.76MB), time: 47.1s.
    
    $ /opt/alt/php72/usr/bin/php -q /home/orktld/public_html/contao44/web/contao-manager.phar.php composer install --prefer-dist --no-dev --no-progress --no-suggest --no-ansi --no-interaction --optimize-autoloader
    
    ocramius/package-versions:  Generating version class...
    ocramius/package-versions: ...done generating version class
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    
    In ClassDiscovery.php line 210:
                                                      
      Unexpected exception when instantiating class.  
                                                      
    
    In Psr17FactoryDiscovery.php line 22:
                                                                                   
      No PSR-17 response factory found. Install a package from this list: https:/  
      /packagist.org/providers/psr/http-factory-implementation                     
                                                                                   
    
    In DiscoveryFailedException.php line 41:
                                                                                   
      Could not find resource using any discovery strategy. Find more information  
       at http://docs.php-http.org/en/latest/discovery.html#common-errors          
       - Puli Factory is not available                                             
       - No valid candidate found using strategy "Http\Discovery\Strategy\CommonC  
      lassesStrategy". We tested the following candidates: .                       
       - No valid candidate found using strategy "Http\Discovery\Strategy\CommonP  
      sr17ClassesStrategy". We tested the following candidates: Nyholm\Psr7\Facto  
      ry\Psr17Factory, Zend\Diactoros\ResponseFactory, Http\Factory\Diactoros\Res  
      ponseFactory, Http\Factory\Guzzle\ResponseFactory, Http\Factory\Slim\Respon  
      seFactory.                                                                   
                                                                                   
    
    contao:install-web-dir [--no-dev] [-u|--user USER] [-p|--password [PASSWORD]] [-h|--help] [-q|--quiet] [-v|vv|vvv|--verbose] [-V|--version] [--ansi] [--no-ansi] [-n|--no-interaction] [-e|--env ENV] [--no-debug] [--] <command> [<target>]
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. Run update to update them.
    Package operations: 1 install, 53 updates, 0 removals
      - Updating contao-components/ace (1.4.4 => 1.4.7): Downloading (100%)
      - Updating contao-components/chosen (1.2.2 => 1.2.3): Downloading (100%)
      - Updating contao-components/mediaelement (4.2.10 => 4.2.14): Downloading (100%)
      - Updating symfony/polyfill-ctype (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating twig/twig (v1.42.3 => v1.42.4): Downloading (100%)
      - Updating symfony/polyfill-php70 (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/polyfill-util (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/polyfill-php56 (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/polyfill-mbstring (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/symfony (v3.4.31 => v3.4.36): Downloading (100%)
      - Updating symfony/polyfill-intl-icu (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/polyfill-apcu (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating psr/log (1.1.0 => 1.1.2): Downloading (100%)
      - Updating doctrine/lexer (1.0.2 => 1.2.0): Downloading (100%)
      - Updating doctrine/annotations (v1.7.0 => v1.8.0): Downloading (100%)
      - Updating doctrine/event-manager (v1.0.0 => 1.1.0): Downloading (100%)
      - Updating doctrine/collections (v1.6.2 => 1.6.4): Downloading (100%)
      - Updating doctrine/cache (v1.8.0 => 1.10.0): Downloading (100%)
      - Updating doctrine/persistence (1.1.1 => 1.2.0): Downloading (100%)
      - Updating doctrine/inflector (v1.3.0 => 1.3.1): Downloading (100%)
      - Updating webmozart/assert (1.5.0 => 1.6.0): Downloading (100%)
      - Installing symfony/service-contracts (v2.0.1): Downloading (100%)
      - Updating symfony/polyfill-php73 (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/http-client-contracts (v1.1.6 => v2.0.1): Downloading (100%)
      - Updating symfony/http-client (v4.3.4 => v5.0.1): Downloading (100%)
      - Updating guzzlehttp/guzzle (6.3.3 => 6.4.1): Downloading (100%)
      - Updating php-http/client-common (1.9.1 => 1.10.0): Downloading (100%)
      - Updating friendsofsymfony/http-cache (2.7.0 => 2.8.0): Downloading (100%)
      - Updating friendsofsymfony/http-cache-bundle (2.7.0 => 2.8.0): Downloading (100%)
      - Updating simplepie/simplepie (1.5.2 => 1.5.3): Downloading (100%)
      - Updating scssphp/scssphp (1.0.4 => 1.0.5): Downloading (100%)
      - Updating patchwork/utf8 (v1.3.1 => v1.3.2): Downloading (100%)
      - Updating michelf/php-markdown (1.8.0 => 1.9.0): Downloading (100%)
      - Updating doctrine/doctrine-cache-bundle (1.3.5 => 1.4.0): Downloading (100%)
      - Updating doctrine/dbal (v2.8.1 => v2.10.0): Downloading (100%)
      - Updating doctrine/doctrine-bundle (1.11.2 => 1.12.2): Downloading (100%)
      - Updating contao/core-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/calendar-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/comments-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/faq-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/listing-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating toflar/psr6-symfony-http-cache-store (2.1.0 => 2.1.1): Downloading (100%)
      - Updating monolog/monolog (1.25.1 => 1.25.2): Downloading (100%)
      - Updating symfony/monolog-bundle (v3.4.0 => v3.5.0): Downloading (100%)
      - Updating ua-parser/uap-php (v3.9.1 => v3.9.2): Downloading (100%)
      - Updating symfony/polyfill-php72 (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/polyfill-intl-idn (v1.12.0 => v1.13.1): Downloading (100%)
      - Updating symfony/mime (v4.3.4 => v5.0.1): Downloading (100%)
      - Updating sensiolabs/security-checker (v6.0.2 => v6.0.3): Downloading (100%)
      - Updating contao/installation-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/manager-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/news-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/newsletter-bundle (4.4.43 => 4.4.45): Downloading (100%)
      - Updating contao/conflicts (dev-master c08b748 => dev-master 99f14df)
    Generating optimized autoload files
    > Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 113:
                                                                                   
      An error occurred while executing the "contao:install-web-dir" command:      
      In ClassDiscovery.php line 210:                                              
                                                                                   
        Unexpected exception when instantiating class.                             
                                                                                   
                                                                                   
      In Psr17FactoryDiscovery.php line 22:                                        
                                                                                   
                                                                                   
        No PSR-17 response factory found. Install a package from this list: https  
      :/                                                                           
        /packagist.org/providers/psr/http-factory-implementation                   
                                                                                   
                                                                                   
                                                                                   
                                                                                   
      In DiscoveryFailedException.php line 41:                                     
                                                                                   
                                                                                   
        Could not find resource using any discovery strategy. Find more informati  
      on                                                                           
         at http://docs.php-http.org/en/latest/discovery.html#common-errors        
                                                                                   
         - Puli Factory is not available                                           
                                                                                   
         - No valid candidate found using strategy "Http\Discovery\Strategy\Commo  
      nC                                                                           
        lassesStrategy". We tested the following candidates: .                     
                                                                                   
         - No valid candidate found using strategy "Http\Discovery\Strategy\Commo  
      nP                                                                           
        sr17ClassesStrategy". We tested the following candidates: Nyholm\Psr7\Fac  
      to                                                                           
        ry\Psr17Factory, Zend\Diactoros\ResponseFactory, Http\Factory\Diactoros\R  
      es                                                                           
        ponseFactory, Http\Factory\Guzzle\ResponseFactory, Http\Factory\Slim\Resp  
      on                                                                           
        seFactory.                                                                 
                                                                                   
                                                                                   
                                                                                   
                                                                                   
      contao:install-web-dir [--no-dev] [-u|--user USER] [-p|--password [PASSWORD  
      ]] [-h|--help] [-q|--quiet] [-v|vv|vvv|--verbose] [-V|--version] [--ansi] [  
      --no-ansi] [-n|--no-interaction] [-e|--env ENV] [--no-debug] [--] <command>  
       [<target>]                                                                  
                                                                                   
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>...]
    
    
    # Process terminated with exit code 1
    # Result: General error
    
    
    ---
    
    ### Der Hintergrundprozess wurde unerwartet beendet ###
    Guzzlehttp ist aber bspw. installiert und ich kann da auch keine Unterschiede zu anderen Installationen finden.
    Und hier im Forum ist mir das auch noch nicht über den Weg gelaufen ... irgendjemand eine Idee, wo ich da ansetzen kann?

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.349
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Komisch. Poste mal deine composer.json

  3. #3
    Contao-Nutzer Avatar von Dr. Jo
    Registriert seit
    11.08.2009.
    Ort
    Riehen (CH)
    Beiträge
    146

    Standard

    Code:
    {
        "type": "project",
        "require": {
            "ausi/contao-slug-backport": "^1.0",
            "bugbuster/contao-cron-bundle": "^1.3",
            "bugbuster/contao-dlstats-bundle": "^1.0",
            "bugbuster/contao-visitors-bundle": "^1.5",
            "christianbarkowsky/extended_checkbox": "^1.2",
            "codefog/contao-cookiebar": "^2.1",
            "contao/calendar-bundle": "^4.4",
            "contao/comments-bundle": "^4.4",
            "contao/conflicts": "*@dev",
            "contao/faq-bundle": "^4.4",
            "contao/listing-bundle": "^4.4",
            "contao/manager-bundle": "4.4.*",
            "contao/news-bundle": "^4.4",
            "contao/newsletter-bundle": "^4.4",
            "do-while/contao-backupdb-bundle": "^1.4",
            "heimrichhannot/contao-filename-sanitizer-bundle": "^1.3",
            "jrgregory/m17-sticky-backend-footer": "^2.0",
            "kmielke/calendar-extended-bundle": "^1.0",
            "ma3xl3/contao-easy-favicon": "^2.0",
            "menatwork/contao-matomotrackingtag-bundle": "^1.1",
            "menatwork/contao-multicolumnwizard-bundle": "^3.4",
            "menatwork/semantic_html5": "^2.0",
            "netzmacht/contao-leaflet-maps": "^3.1",
            "oneup/contao-full-background-images": "dev-master",
            "terminal42/contao-changelanguage": "^3.1",
            "terminal42/contao-easy_themes": "^2.2",
            "terminal42/contao-fineuploader": "^2.1",
            "terminal42/contao-leads": "^1.4",
            "terminal42/contao-mailusername": "^1.0",
            "terminal42/notification_center": "^1.5",
            "trilobit-gmbh/contao-headerfootercode-bundle": "^1.0"
        },
        "extra": {
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }

  4. #4
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.349
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Ich kann den Fehler bei mir nachvollziehen, habe aber dafür keine Lösung.

  5. #5
    Contao-Nutzer Avatar von Dr. Jo
    Registriert seit
    11.08.2009.
    Ort
    Riehen (CH)
    Beiträge
    146

    Standard

    Update: Ich habe herausgefunden, dass die Fehlermeldung verschwindet, wenn ich contao-cron-bundle aus der Liste der Erweiterungen entferne ... und habs bei GitHub gemeldet.

  6. #6
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.103
    User beschenken
    Wunschliste

    Standard

    Bei mir kommt der Fehler nicht.
    Kommt der nur bei einem Update von 4.4.43 auf 4.4.45 oder kommt der auch, wenn du jetzt in der 4.4.45 das cron bundle installieren würdest?
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  7. #7
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Ort
    Magdeburg
    Beiträge
    1.892
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    Die Lösung ist darin vorgeschlagen: Es muss eine Implementierung von https://packagist.org/providers/psr/...implementation installiert sein, z.B. guzzlehttp/psr7
    Warum dieser Fehler auftritt ist mir auch nicht bekannt, ein Kunde von mir hatte den neulich auch.

  8. #8
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.103
    User beschenken
    Wunschliste

    Standard

    Das genau mit dem Lösungen ist das Problem, denn bei mir ist das Paket installiert.
    Und speziell der "guzzlehttp/psr7" ist als Abhängigkeit von "guzzlehttp/guzzle" und das wiederum von "php-http/guzzle6-adapter" und das fordere ich selber an.

    Wenn der Fehler auftritt, mal ein "composer show" an das Ticket hängen, damit ich sehe welche Pakete installiert sind.
    Dann könnte man vielleicht erkennen, ob da was fehlt.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  9. #9
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.103
    User beschenken
    Wunschliste

    Standard

    Ah, jetzt bei "Pakete aktualisieren" kam bei mir auch de Fehler.
    Die Suche kann starten.

    Code:
    Updating symfony/http-client (v4.3.8 => v5.0.1): Downloading (100%)
    das sieht mir verdächtig, aus, so ein Major Update ist gefährlich
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  10. #10
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.103
    User beschenken
    Wunschliste

    Standard

    Hmm, sobald ich das Paket auf 4.3 fest tackere, kommt die Meldung nicht mehr. Jedenfalls in 3 von 4 Versuchen. Es ist verrückt.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  11. #11
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.349
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Naja... mit solchen Dingen muss man sich rumschlagen, wenn man ersetzbare Http Clients unterstützt . Brauchst du das unbedingt für die Extension?

  12. #12
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Ort
    Magdeburg
    Beiträge
    1.892
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    Könnte an https://github.com/symfony/http-clie...poser.json#L33 liegen. Je nachdem ob Version 1 oder 2 installiert wird

  13. #13
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.103
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Naja... mit solchen Dingen muss man sich rumschlagen, wenn man ersetzbare Http Clients unterstützt . Brauchst du das unbedingt für die Extension?
    Da wollte ich mal fortschrittlich sein. :-)

    Bisher habe ich zwei Lösungen im Test, entweder jeweils in der composer.json
    Code:
        "conflict": {
           "symfony/http-client": ">=4.4.0"
        },
    oder bei require noch:
    Code:
    "nyholm/psr7" :"^1.0"
    Denn darauf prüft der neue http-client: " [HttpClient] try using php-http/discovery when nyholm/psr7 is not installed".
    Und das discovery schlägt ja dann fehl. Daher teste ich grad die "nyholm/psr7" mit zu bringen.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  14. #14
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.349
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von BugBuster Beitrag anzeigen
    Da wollte ich mal fortschrittlich sein. :-)
    Klar - aber was ist in deinem Fall der Nutzen? Wenn diese Komplexität nicht notwendig ist, würde ich einfach guzzlehttp/guzzle verwenden.

  15. #15
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.103
    User beschenken
    Wunschliste

    Standard

    Wird eigentlich auch verwendet, ich habe da ewig gebraucht und da mehr aus den Dokus kopiert als wirklich verstanden.
    Muss ich nochmal tiefer einsteigen. Da lässt sich sicherlich was dran vereinfachen.
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •